Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.auth
Class LocalAuthFilter

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.auth.LocalAuthFilter

All Implemented Interfaces:
  RequestFilter

public class LocalAuthFilter
extends java.lang.Object
implements RequestFilter

Method Summary
`boolean` | `exceptionFilter(Request request, HttpException ex)` This filter doesn't handle exceptions.
`Reply` | `ingoingFilter(Request request)` The ingoing filter just decorates the request with the credentials.
`static void` | `installLocalAuth(HttpManager manager, java.net.URL domain, HttpCredential credentials)` Install a local authentication filter for the given target.
`static void` | `installProxyAuth(HttpManager manager, HttpCredential credentials)` Install a proxy authentication filter globally.
`Reply` | `outgoingFilter(Request request, Reply reply)` The outgoing filter is empty here.
`void` | `sync()` We don't maintain cached informations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### installLocalAuth

    public static void installLocalAuth(HttpManager manager,
                                        java.net.URL domain,
                                        HttpCredential credentials)

  Install a local authentication filter for the given target.

  Parameters:
    `manager` - The HttpManager.
    `credentials` - The credentials to use for this domain.

### installProxyAuth

    public static void installProxyAuth(HttpManager manager,
                                        HttpCredential credentials)

  Install a proxy authentication filter globally.

  Parameters:
    `manager` - The HttpManager.
    `credentials` - The credentials to use for this domain.

### exceptionFilter

    public boolean exceptionFilter(Request request,
                                   HttpException ex)

  This filter doesn't handle exceptions.

  Specified by:
    `exceptionFilter` in interface `RequestFilter`
  Parameters:
    `request` - The request that triggered the exception.
    `ex` - The triggered exception.
  Returns:
    Always false.

### ingoingFilter

    public Reply ingoingFilter(Request request)

  The ingoing filter just decorates the request with the credentials.

  Specified by:
    `ingoingFilter` in interface `RequestFilter`
  Parameters:
    `request` - The request to be processed.
  Returns:
    Always null.

### outgoingFilter

    public Reply outgoingFilter(Request request,
                                Reply reply)

  The outgoing filter is empty here.

  Specified by:
    `outgoingFilter` in interface `RequestFilter`
  Parameters:
    `request` - The original (handled) request.
    `reply` - The reply, as emited by the target server, or constructed by some other filter.

### sync

    public void sync()

  We don't maintain cached informations.

  Specified by:
    `sync` in interface `RequestFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD